#!/bin/sh
export PATH='/wrkdirs/usr/ports/audio/hs-OpenAL/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: OpenAL
version: 1.7.0.4
id: OpenAL-1.7.0.4-FyabpXX7fS4DcvayVspIg2
key: OpenAL-1.7.0.4-FyabpXX7fS4DcvayVspIg2
license: BSD-3-Clause
copyright: Copyright (C) 2003-2016 Sven Panne
maintainer: Sven Panne <svenpanne@gmail.com>, Stephen Blackheath <haskell.openal2.stephen@blacksapphire.com>
author: Sven Panne
homepage: https://github.com/haskell-openal/ALUT
synopsis: A binding to the OpenAL cross-platform 3D audio API
description:
    A Haskell binding for the OpenAL cross-platform 3D audio API,
    appropriate for use with gaming applications and many other
    types of audio applications.
    .
    On Windows, this package works well with the \"OpenAL Soft\" binary
    distribution from <http://kcat.strangesoft.net/openal.html>.
    Type \'\''cabal install --extra-lib-dirs=\<DIR\>\'\'' where \<DIR\> is the
    directory where libOpenAL32.dll.a is located (must be an absolute path).
    Then rename soft_oal.dll to OpenAL32.dll and put it somewhere in
    the PATH. I found that c:\\Windows\\ worked.
    .
    This package has also been tested on GNU/Linux and iOS.
category: Sound
abi: 8cad0b3f2f05818a49e681df30454cfb
exposed: True
exposed-modules:
    Sound.OpenAL Sound.OpenAL.AL Sound.OpenAL.AL.Attenuation
    Sound.OpenAL.AL.BasicTypes Sound.OpenAL.AL.Buffer
    Sound.OpenAL.AL.Doppler Sound.OpenAL.AL.Errors
    Sound.OpenAL.AL.Extensions Sound.OpenAL.AL.Listener
    Sound.OpenAL.AL.Source Sound.OpenAL.AL.StringQueries
    Sound.OpenAL.ALC Sound.OpenAL.ALC.BasicTypes
    Sound.OpenAL.ALC.Capture Sound.OpenAL.ALC.Context
    Sound.OpenAL.ALC.Device Sound.OpenAL.ALC.Errors
    Sound.OpenAL.ALC.Extensions
hidden-modules: Sound.OpenAL.AL.ALboolean
                Sound.OpenAL.AL.BufferInternal Sound.OpenAL.AL.Format
                Sound.OpenAL.AL.PeekPoke Sound.OpenAL.AL.QueryUtils
                Sound.OpenAL.AL.SourceState Sound.OpenAL.AL.String
                Sound.OpenAL.ALC.ALCboolean Sound.OpenAL.ALC.QueryUtils
                Sound.OpenAL.ALC.String Sound.OpenAL.Config Sound.OpenAL.Constants
import-dirs: /usr/local/lib/cabal/ghc-8.4.3/OpenAL-1.7.0.4
library-dirs: /usr/local/lib/cabal/ghc-8.4.3/OpenAL-1.7.0.4
              /usr/local/lib
dynamic-library-dirs: /usr/local/lib/cabal/ghc-8.4.3/x86_64-freebsd-ghc-8.4.3
                      /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-8.4.3/OpenAL-1.7.0.4
hs-libraries: HSOpenAL-1.7.0.4-FyabpXX7fS4DcvayVspIg2
extra-libraries:
    openal
include-dirs: /usr/local/include
depends:
    base-4.11.1.0 transformers-0.5.5.0
    ObjectName-1.1.0.1-CHN2W1qj7Kj3K9d7qtMTxi
    StateVar-1.1.0.4-CRQLKxruC58AfuTLGrcMa5
    OpenGL-3.0.2.1-D4evCH3tk5gFmE94ZtYszj
abi-depends: base-4.11.1.0=d353a93de60ba3601dfa5501e270cfc5
             transformers-0.5.5.0=633c3e5ec737c360775b452ce9aa1e0b
             ObjectName-1.1.0.1-CHN2W1qj7Kj3K9d7qtMTxi=060a977e1dd0eb94bae3b445eced4da5
             StateVar-1.1.0.4-CRQLKxruC58AfuTLGrcMa5=4ae8c2b80934e3f049cfb518f494bb90
             OpenGL-3.0.2.1-D4evCH3tk5gFmE94ZtYszj=307e33fa24a2d27dbf92437806811fb8
haddock-interfaces: /usr/local/share/doc/cabal/ghc-8.4.3/OpenAL-1.7.0.4/html/OpenAL.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-8.4.3/OpenAL-1.7.0.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"

